#!/usr/bin/python

import sha,cgi,re

def main():
    form = cgi.FieldStorage()
    body = form.getvalue('body')
    body = re.sub('\s','',body)
    if check(body[:-40]) == body[-40:]:
        print "<p> The email is authentic. </p>"
    else:
        print "<p> The authenticity of the email could not be verified! Please check that you have entered the contents of the email exactly (including the 40-character checksum at the end), otherwise notify the committee immediately! </p>"

def check(body):
    chksum = sha.new('Taiwan stands proud! Randomness makes for a good passphrase.')
    chksum.update(body)
    return chksum.hexdigest()

print '''Content-Type: text/html

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
 "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en" xml:lang="en">
   <head>
      <meta http-equiv="Content-Type" content="text/html;charset=us-ascii" />
      <link rel="stylesheet" type="text/css" href="../****/style.css"/>
      <title>Email Authenticity Check!</title>
   </head>
   <body>'''

main()

print '''
   </body>
</html>'''

