#!/usr/bin/python

import os

def printError(message):
   print '      <p>%s</p>\n   </body>\n</html>' % message

def ordinal(n):
   if n == 1:
      return str(n) + 'st'
   if n == 2:
      return str(n) + 'nd'
   if n == 3:
      return str(n) + 'rd'
   if n < 20:
      return str(n) + 'th'
   return ordinal(n % 10)

def printBallot():
   candidates = file('CANDIDATES').read().splitlines()
   n = len(candidates)
   print """<p> Please rank the following names in order of preference. Equal preferences are allowed.
       All voting is anonymous. You will be sent a confirmation email after a successful ballot. </p>"""
   print '      <form method="post" action="castvote.py" />'
   print '         <table>'
   print '            <tr>'
   print '               <th>Candidate</th>'
   for i in xrange(1, n + 1):
      print '               <th>%s choice</th>' % ordinal(i)
   print '            </tr>'
   for (candidateNumber, candidateName) in enumerate(candidates):
      print '            <tr>'
      print '               <td class="candidate">%s</td>' % candidateName
      for i in xrange(1, n + 1):
         print '               <td>'
         print '                  <input type="radio" name="rank-%d" '\
                                   'value="%d"' % (candidateNumber,i),
         if i == n:
            print 'checked',
         print '/>'
         print '               </td>'
      print '            </tr>'
   print '         </table>'
   print '         <p class="votesubmission">'
   print '            <input type="submit" value="Submit Ballot" />'
   print '         </p>'
   print '      </form>'
   print '   </body>'
   print '</html>'

print '''Content-Type: text/html

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
 "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en" xml:lang="en">
   <head>
      <meta http-equiv="Content-Type" content="text/html;charset=us-ascii" />
      <link rel="stylesheet" type="text/css" href="../****/style.css"/>
      <title>Vote!</title>
   </head>
   <body>
   
   '''


try:
    address = os.environ['SSL_CLIENT_S_DN_Email']
except:
    printError('Use https instead of http!')


if ('\n'+address) in file('MEMBERS').read():
   printBallot()
else:
   printError(address + ' has not been registered to vote!')


